> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List VASPs

> Returns active Virtual Asset Service Providers (VASPs) available for the customer's jurisdiction. Use returned `id` values as `vaspId` in `ownership.custody` when creating a recipient and custody is `hosted`.

**Note:** This operation is supported only for Circle Singapore (SG) customers.




## OpenAPI

````yaml openapi/payouts.yaml get /v1/addressBook/vasps
openapi: 3.0.2
info:
  version: ${version}
  title: Crypto Payouts API
  description: >-
    The Circle Payouts API allows you to programmatically make fast, global
    payouts to your customers, vendors, and suppliers. Make payouts on supported
    blockchains.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Payouts
    description: Create and get information on address book payouts.
  - name: Crypto Address Book
    description: Manage blockchain addresses with metadata.
paths:
  /v1/addressBook/vasps:
    get:
      tags:
        - Crypto Address Book
      summary: List VASPs
      description: >
        Returns active Virtual Asset Service Providers (VASPs) available for the
        customer's jurisdiction. Use returned `id` values as `vaspId` in
        `ownership.custody` when creating a recipient and custody is `hosted`.


        **Note:** This operation is supported only for Circle Singapore (SG)
        customers.
      operationId: listAddressBookVasps
      responses:
        '200':
          description: Successfully retrieved the list of VASPs.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: ListAddressBookVaspsResponse
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AddressBookVasp'
              examples:
                response:
                  value:
                    data:
                      - id: 550e8400-e29b-41d4-a716-446655440000
                        name: Example VASP A
                      - id: 661f9511-f30c-52e5-b660-709766551111
                        name: Example VASP B
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    AddressBookVasp:
      type: object
      description: >-
        A Virtual Asset Service Provider (VASP) available for the customer's
        jurisdiction.
      properties:
        id:
          $ref: '#/components/schemas/Id'
          description: Unique identifier of the VASP.
        name:
          type: string
          description: Display name of the VASP.
          example: Example Exchange
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````